# Servitor

> A workflow engine

# Components

This project is split is multiple components which _should_ allow for effective clustering of relevant parts.

## [Engine](/engine)

The main component of Servitor, this part executes all logic noted in the workflow files

## [Relay](/relay)

The relay component does all the talking to remote endpoints, waits for their answers and puts the result back in the queue for the engine to process 

## [Gateway](/gateway)

The gateway component observes and records all actions happening on the relay and in the engine.
It also serves the API (and When Time Comes the web frontend).

## [Monolith](/monolith)

Monolith is a special version of Servitor, which combines all tech necessary to run Servitor in a single jar.
This will be most likely the first thing you'll want to use if you want to play around with Servitor or want to deploy it in a small setup.

Monolith will not require -any- outside dependencies, it will use a bundled software for the message queues (ActiveMQ), key value store (???), and relation database (SQLite).




