package wf.servitor.common.config

class Queue(
    val url: String,
    val username: String?,
    val password: String?,
    val names: Names
) {

    class Names(
        val prefix: String,
        val task: String,
        val relay: String,
        val observer: String
    ) {
        val taskAddress
            get() = "$prefix.$task"

        val taskQueue
            get() = "$prefix.$task.queue"

        val relayAddress
            get() = "$prefix.$relay"

        val relayQueue
            get() = "$prefix.$relay.queue"
    }
}
