package wf.servitor.common.workflow

import java.io.Serializable

data class Flow(val steps: List<Step> = listOf()) : Serializable {
    fun getStep(path: List<Int>): Step? {
        if (path.isEmpty()) {
            return null
        }

        return path
            .drop(1)
            .fold(steps.getOrNull(path.first())) { s, index ->
                s?.getChild(index)
            }
    }
}