package wf.servitor.common.workflow

sealed class StepContinuation {
    object Continue : StepContinuation()
    object End : StepContinuation()

    data class Flow(val name: String) : StepContinuation()
    data class Step(val name: String) : StepContinuation()
}