package wf.servitor.common.workflow

import java.io.Serializable

class Workflow(
    val entry: Flow = Flow(),
    val flows: MutableMap<String, Flow> = mutableMapOf(),
    val services: MutableMap<String, Map<String, Any?>> = mutableMapOf()
) : Serializable {
    fun getStep(flow: String, path: List<Int>): Step? = (if (flow == "entry") entry else flows.get(flow))?.getStep(path)
}