package wf.servitor.engine

import kotlinx.coroutines.runBlocking
import org.koin.core.context.startKoin
import wf.servitor.common.commonModule


fun main(args: Array<String>) {
    startKoin {
        modules(commonModule)
        modules(engineModule)
    }

    val engine = Engine()
    runBlocking {
        engine.run()
    }
}

