package wf.servitor.engine.exception

class UnresolvedRemoteCallException(val service: String, val method: String, val arguments: List<Any?>, val index: Int) :
    RuntimeException("Halted execution for external call", null, true, false) {
    // Don't create a stack trace for this exception.
    override fun fillInStackTrace(): Throwable {
        return this
    }
}